# navidrome2mpd_playlists

A little script that uses sqlite3 to extract playlists from navidrome.db and create MPD playlists using mpc.

## Prerequisites:

- mpc
- sqlite3

## Install:

`git clone https://tildegit.org/mrfry/navidrome2mpd_playlists`

`cd navidrome2mpd_playlists`

`chmod +x navidrome2mpd_playlists`

## Usage: 

`./navidrome2mpd_playlists [/path/to/navidrome/]`

If you provide /path/to/navidrome/, make sure to use a trailing slash. If path isn't provided, defaults to "/var/lib/navidrome/".

## Use case:

I use Navidrome to serve my music library from a Raspberry Pi. I can access it with a Subsonic client when I'm out but when I'm in, I'd rather use MPD to play the same library straight from the Pi to a bluetooth speaker. That way I can control the music from whichever device I happen to be using, via an MPD client.

The issue is that MPC is not aware of playlists created with Navidrome, so I made a quick and (not too) dirty bash script to import my Navidrome playlists to MPD.

## License:

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>. 
